import { getUserProfile } from '@/modules/user/services/user.service';
import type { AppContext } from '@/types/hono';
import { getCookie } from 'hono/cookie';

const SELECTED_COMPLEX_COOKIE = 'selected-complex-id';

export async function getUserProfileHandler(c: AppContext) {
  const user = c.get('user');
  const complexId = getCookie(c, SELECTED_COMPLEX_COOKIE);
  const profile = await getUserProfile(user, complexId);
  return c.json(profile);
}
